EZ_MoveWidgetWindow(3)

NAME
EZ_MoveWidgetWindow, EZ_ResizeWidgetWindow, EZ_MoveResizeWidgetWindow - change widget window geometry

SYNOPSIS
#include <EZ.h>

void  EZ_MoveWidgetWindow( EZ_Widget *widget, int x, int y)
void  EZ_ResizeWidgetWindow( EZ_Widget *widget, int w, int h)
void  EZ_MoveResizeWidgetWindow( EZ_Widget *widget, int x, int y, int w, int h)

ARGUMENTS
widget Specifies an EZ Widget.

x, y Specifies the new window origin, coor is parent relative.

w, h Specifies the new width and height.

DESCRIPTION

EZ_MoveWidgetWindow moves the widget window to the specified new location. If successful, the widget remembers its new origin. Future scaling will have no effect on the location of the widget window, unless the EZ_FORGET_LOCATION attribute is set afterwards.

EZ_ResizeWidgetWindow resize the widget window to the specified size. Unless the EZ_FORGET_SIZE attribute is set afterwards, the geometry manager remembers and honors the new size.

EZ_MoreResizeWidgetWindow combines the previous two functions.

SEE ALSO
EZ_SetWidgetPosition(3), EZ_GetWidgetGeometry(3)